Bug 75320 - UP kernel stuck during boot
UP kernel stuck during boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-07 05:13 EDT by Michel Alexandre Salim
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2002-10-07 05:13:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have a dual-Athlon MP system; if I boot into the SMP kernel or Windows and
then do a warm reboot into the UP kernel *immediately without entering BIOS*
everything works fine.

However, if I do a cold-boot into the UP kernel, or entered the BIOS prior to
booting the UP kernel, I get stuck in 'Configuring kernel parameters' - not
hung, since I can type anything, but CTRL+ALT+DEL does not work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot into UP kernel after booting another kernel (SMP, Windows, etc)
2.Boot into UP kernel after booting another kernel, but enter BIOS setup first
3.Cold boot into UP kernel
	

Actual Results:  after (2) and (3) boot process stop at 'Configuring kernel
parameters' - i.e. it would not set the system clock

Expected Results:  Boot process proceeds normally

Additional info:

Motherboard: ASUS A7M266-D
CPU: 2xAthlon MP 1600+ (1400 MHz)
RAM: 1x512 MB DDR SDRAM

Tried turning on/off every single BIOS options related to SMP, no effect. Did
not notice problem before flashing BIOS from revision 1004 to revision 1008
yesterday, but this Linux install was done two days ago so probably I never
booted straight into UP before then (had to because my WLAN network card is
unstable under SMP)
Comment 1 Warren Togami 2002-10-07 12:49:22 EDT
I think this kernel disabled APIC for Uniprocessor machines to workaround Bug
62295 which prevented several mobile Atlon laptops from rebooting.  Try
recompiling the current Athlon UP kernel config with this option re-enabled.  I
don't know if this would help, but I think it may be related.
Comment 2 Bugzilla owner 2004-09-30 11:40:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.